: Class HttpExtList

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.w3c.www.http
Class HttpExtList

    java.lang.Object
      |
      +--org.w3c.www.http.BasicValue
            |
            +--org.w3c.www.http.HttpExtList

public class HttpExtList
extends BasicValue

Field Summary
`static int` | `CMAN`
`static int` | `COPT`
`static int` | `MAN`
`static int` | `OPT`

Fields inherited from class org.w3c.www.http.BasicValue
`isValid, raw, rlen, roff`

Constructor Summary
`protected` | `HttpExtList()` for parser only
`` | `HttpExtList(HttpExt[] exts)` for user.
`` | `HttpExtList(HttpExtList old)` Constructor, for User

Method Summary
`void` | `addHttpExt(HttpExt ext)` Add an Http extension header.
`HttpExt` | `getHttpExt(java.lang.String name)` Get an Http extension header.
`HttpExt[]` | `getHttpExts()` Get all Http extensions header.
`int` | `getLength()`
`int` | `getManOptFlag()`
`java.lang.Object` | `getValue()` HeaderValue implemenntation - Get this header value.
`protected void` | `parse()` Parse this header value into its various components.
`protected void` | `setManOptFlag(int manopt)`
`protected void` | `updateByteValue()` Update the RFC822 compatible header value for this object.

Methods inherited from class org.w3c.www.http.BasicValue
`addBytes, appendValue, checkByteValue, emit, error, invalidateByteValue, setBytes, setString, toExternalForm, toString, validate`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### MAN

    public static final int MAN

### CMAN

    public static final int CMAN

### OPT

    public static final int OPT

### COPT

    public static final int COPT

Constructor Detail

### HttpExtList

    public HttpExtList(HttpExt[] exts)

  for user.
  Parameters:
    `exts` - the HttpExt array.

### HttpExtList

    public HttpExtList(HttpExtList old)

  Constructor, for User
  Parameters:
    `old` - the old Http extension declaration list If you want to reply the same extensions, use this contructor.

### HttpExtList

    protected HttpExtList()

  for parser only

Method Detail

### getManOptFlag

    public int getManOptFlag()

### setManOptFlag

    protected void setManOptFlag(int manopt)

### parse

    protected void parse()
                  throws HttpParserException

  Parse this header value into its various components.
  Overrides:
    parse in class BasicValue
  Throws:
    HttpParserException - if unable to parse.

### updateByteValue

    protected void updateByteValue()

  Description copied from class: BasicValue
  Update the RFC822 compatible header value for this object.
  Overrides:
    updateByteValue in class BasicValue

### addHttpExt

    public void addHttpExt(HttpExt ext)

  Add an Http extension header.
  Parameters:
    `ext` - an HttpExt.

### getHttpExts

    public HttpExt[] getHttpExts()

  Get all Http extensions header.
  Returns:
    an HttpExt array.

### getLength

    public int getLength()

### getHttpExt

    public HttpExt getHttpExt(java.lang.String name)

  Get an Http extension header.
  Parameters:
    `name` - The extension identifier (AbsoluteURI or field name)
  Returns:
    an HttpExt or null.

### getValue

    public java.lang.Object getValue()

  Description copied from class: BasicValue
  HeaderValue implemenntation - Get this header value.
  Overrides:
    getValue in class BasicValue
  Tags copied from class: BasicValue
  Returns:
    An object representing the parsed value for this header.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD